## CinnamonGtkEmbed CinnamonGtkEmbed |

## Functions

ClutterActor * | cinnamon_gtk_embed_new ()

## Properties

CinnamonEmbeddedWindow * | window | Read / Write / Construct Only

## Types and Values

#define | CINNAMON_TYPE_GTK_EMBED
struct | CinnamonGtkEmbedClass
| CinnamonGtkEmbed

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ClutterClone
                    ╰── CinnamonGtkEmbed
                        ╰── CinnamonTrayIcon

## Implemented Interfaces

CinnamonGtkEmbed implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

## Functions

### cinnamon_gtk_embed_new ()

    ClutterActor *
    cinnamon_gtk_embed_new (CinnamonEmbeddedWindow *window);

## Types and Values

### CINNAMON_TYPE_GTK_EMBED

    #define CINNAMON_TYPE_GTK_EMBED (cinnamon_gtk_embed_get_type ())

### struct CinnamonGtkEmbedClass

    struct CinnamonGtkEmbedClass {
        ClutterCloneClass parent_class;
    };

### CinnamonGtkEmbed

    typedef struct _CinnamonGtkEmbed CinnamonGtkEmbed;

## Property Details

### The `“window”` property

      “window”                   CinnamonEmbeddedWindow *

CinnamonEmbeddedWindow to embed.

Owner: CinnamonGtkEmbed

Flags: Read / Write / Construct Only